package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * IdpMetadataDetailOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class IdpMetadataDetailOpenApiVo   {
  @JsonProperty("idpId")
  private String idpId;

  @JsonProperty("name")
  private String name;

  @JsonProperty("description")
  private String description;

  @JsonProperty("entityId")
  private String entityId;

  @JsonProperty("loginUrl")
  private String loginUrl;

  @JsonProperty("x509Certificate")
  private String x509Certificate;

  @JsonProperty("entityUrl")
  private String entityUrl;

  @JsonProperty("signOnUrl")
  private String signOnUrl;

  public IdpMetadataDetailOpenApiVo idpId(String idpId) {
    this.idpId = idpId;
    return this;
  }

  /**
   * IdP ID(resource ID).
   * @return idpId
  */
  @ApiModelProperty(value = "IdP ID(resource ID).")


  public String getIdpId() {
    return idpId;
  }

  public void setIdpId(String idpId) {
    this.idpId = idpId;
  }

  public IdpMetadataDetailOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * IdP name.
   * @return name
  */
  @ApiModelProperty(value = "IdP name.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public IdpMetadataDetailOpenApiVo description(String description) {
    this.description = description;
    return this;
  }

  /**
   * Description.
   * @return description
  */
  @ApiModelProperty(value = "Description.")


  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public IdpMetadataDetailOpenApiVo entityId(String entityId) {
    this.entityId = entityId;
    return this;
  }

  /**
   * The IdP entity ID which must be unique in same Omadac.
   * @return entityId
  */
  @ApiModelProperty(value = "The IdP entity ID which must be unique in same Omadac.")


  public String getEntityId() {
    return entityId;
  }

  public void setEntityId(String entityId) {
    this.entityId = entityId;
  }

  public IdpMetadataDetailOpenApiVo loginUrl(String loginUrl) {
    this.loginUrl = loginUrl;
    return this;
  }

  /**
   * Login url.
   * @return loginUrl
  */
  @ApiModelProperty(value = "Login url.")


  public String getLoginUrl() {
    return loginUrl;
  }

  public void setLoginUrl(String loginUrl) {
    this.loginUrl = loginUrl;
  }

  public IdpMetadataDetailOpenApiVo x509Certificate(String x509Certificate) {
    this.x509Certificate = x509Certificate;
    return this;
  }

  /**
   * BASE64 encoded string of x509 certificate.
   * @return x509Certificate
  */
  @ApiModelProperty(value = "BASE64 encoded string of x509 certificate.")


  public String getX509Certificate() {
    return x509Certificate;
  }

  public void setX509Certificate(String x509Certificate) {
    this.x509Certificate = x509Certificate;
  }

  public IdpMetadataDetailOpenApiVo entityUrl(String entityUrl) {
    this.entityUrl = entityUrl;
    return this;
  }

  /**
   * Entity url.
   * @return entityUrl
  */
  @ApiModelProperty(value = "Entity url.")


  public String getEntityUrl() {
    return entityUrl;
  }

  public void setEntityUrl(String entityUrl) {
    this.entityUrl = entityUrl;
  }

  public IdpMetadataDetailOpenApiVo signOnUrl(String signOnUrl) {
    this.signOnUrl = signOnUrl;
    return this;
  }

  /**
   * Sign On url.
   * @return signOnUrl
  */
  @ApiModelProperty(value = "Sign On url.")


  public String getSignOnUrl() {
    return signOnUrl;
  }

  public void setSignOnUrl(String signOnUrl) {
    this.signOnUrl = signOnUrl;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IdpMetadataDetailOpenApiVo idpMetadataDetailOpenApiVo = (IdpMetadataDetailOpenApiVo) o;
    return Objects.equals(this.idpId, idpMetadataDetailOpenApiVo.idpId) &&
        Objects.equals(this.name, idpMetadataDetailOpenApiVo.name) &&
        Objects.equals(this.description, idpMetadataDetailOpenApiVo.description) &&
        Objects.equals(this.entityId, idpMetadataDetailOpenApiVo.entityId) &&
        Objects.equals(this.loginUrl, idpMetadataDetailOpenApiVo.loginUrl) &&
        Objects.equals(this.x509Certificate, idpMetadataDetailOpenApiVo.x509Certificate) &&
        Objects.equals(this.entityUrl, idpMetadataDetailOpenApiVo.entityUrl) &&
        Objects.equals(this.signOnUrl, idpMetadataDetailOpenApiVo.signOnUrl);
  }

  @Override
  public int hashCode() {
    return Objects.hash(idpId, name, description, entityId, loginUrl, x509Certificate, entityUrl, signOnUrl);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IdpMetadataDetailOpenApiVo {\n");
    
    sb.append("    idpId: ").append(toIndentedString(idpId)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    entityId: ").append(toIndentedString(entityId)).append("\n");
    sb.append("    loginUrl: ").append(toIndentedString(loginUrl)).append("\n");
    sb.append("    x509Certificate: ").append(toIndentedString(x509Certificate)).append("\n");
    sb.append("    entityUrl: ").append(toIndentedString(entityUrl)).append("\n");
    sb.append("    signOnUrl: ").append(toIndentedString(signOnUrl)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

